<div class="container mt-5">
    <div class="row" >
       <div class="col-12 col-sm-12 col-md-12 col-lg-12">
          <!--<a  class="withdra"><i class="fa-solid fa-arrow-left"></i></a>-->
          <div class="apy mt-3" style="background-color: #fff;">
             <h3 class="fwn mt-3 mb-4"><a  class="withdra"></a> Demande de retrait</h3>
             <hr>
             <h4 class="mb-3">Dépôt a</h4>
             <form [formGroup]="withdrawform" (submit)="withdraw()">
                <ul class="bank" *ngIf="allbanks">
                   <li *ngFor="let bank of allbanks">
                      <div class="form-check pl-0">
                         <label class="form-check-label" for="radio1"><i class="fa-solid fa-building-columns"></i> {{bank.bank_name}} -{{bank.iban}}
                         <input type="radio" class="form-check-input"  name="bank_id" value="{{bank._id}}" style="opacity: 1 !important;" formControlName="bank_id">
                         </label>
                      </div>
                   </li>
                  
                </ul>
                <div class="errormsg" style="margin-top:-12px" *ngIf="withdrawform.get('bank_id')?.touched && withdrawform.get('bank_id')?.hasError('required')">
                  <br><h4> <b>Veuillez sélectionner une banque</b></h4>
              </div>
                <div class="mb-3 mt-3">
                   <label for="Montant" class="form-label">Montant:</label>
                   <input type="number" class="form-control" id="Montant" placeholder="" name="Montant" formControlName="amount">
                </div>
                <div class="errormsg" style="margin-top:-12px" *ngIf="withdrawform.get('bank_id')?.touched && withdrawform.get('bank_id')?.hasError('required')">
                  <br><h4> <b>Le Montant est requis</b></h4>
              </div>
                <div class="mb-3 mt-3">
                  <label for="Montant" class="form-label">Notes</label>
                   <textarea class="form-control" rows="5" id="comment" name="text" style="height: 60px !important" formControlName="note"></textarea>
                </div>
                <button type="submit" class="btn btn-fill">Confirmer</button>
                <div class="comeBack_up" *ngIf="makeapaymentrequestRes">
                  <div *ngIf="makeapaymentrequestRes.status == false; else loggedOut">
                      <br>
                      <div class="alert alert-danger"><strong>{{ makeapaymentrequestRes.message }}</strong></div>
                  </div>
                  <ng-template #loggedOut>
                      <br>
                      <div class="alert alert-success"><strong>{{ makeapaymentrequestRes.message }}</strong></div>
                  </ng-template>
              </div>
             </form>
          </div>
       </div>
    </div>
 </div>